#ifndef H_NODE_UTILS
#define H_NODE_UTILS

#include <BipCci.h>

typedef struct _nodeStringBuffer
{
   int		length;
   size_t   size;
   char		*buf;
} NodeStringBuffer;

CciChar *ASCIIToUnicode(const char *aStr);
char *UnicodeToASCII(const CciChar *lStr);

#define CHAR_ALLOC_SIZE  32
#define INITIAL_BUF_LEN 256

NodeStringBuffer* NodeStringBufferAlloc(void);
void NodeStringBufferFree(NodeStringBuffer *buf);
void NodeStringBufferAdd(NodeStringBuffer *buf, const char *str);
void NodeStringBufferAddChar(NodeStringBuffer *buf, const char c);
/*@unused@*/static void NodeStringBufferResize(NodeStringBuffer *buf, size_t len);

#endif

